{% extends "base.html" %}

{% block content %}
<div class="container">
    <h3>{{ questions.body }} </h3>
    <p>Posted by: {{ questions.username }}</p>
    <p>Posted on: {{ questions.timestamp }}</p>
    {% if not current_user.is_anonymous %}
        {% if current_user.id==questions.user_id %}
            <a href="{{ url_for('edit_question', questionid=questions.id)}}">Edit</a>
            <a href="{{ url_for('delete_question', questionid=questions.id)}}">Delete</a>
        {% endif %}
        <h1>Post Answer</h1>
        <form action="" method="post">
            {{ form.hidden_tag() }}
            <p>
                {{ form.answer.label }}<br>
                {{ form.answer(size=200) }}<br>
            </p>
            <p>{{ form.submit() }}</p>
        </form>
    {% endif %}
</div>
<hr>
<div class="container">
    {% for answer in answers %}
        {% if questions.id==answer.question_id %}
            <h3>{{ answer.body }}</h3>
            <p>Posted by: {{ answer.username }}</p>
            <p>Posted on: {{ answer.timestamp }}</p>
            {% if not current_user.is_anonymous %}
                {% if current_user.id==answer.user_id %}
                    <a href="{{ url_for('edit_answer', answerid=answer.id, questionid=questions.id)}}">Edit</a>
                    <a href="{{ url_for('delete_answer', answerid=answer.id)}}">Delete</a>
                {% endif %}
            {% endif %}
        {% endif %}
        <hr>
    {% endfor %}
</div>
{% endblock %}